<?php 
error_reporting(0);
include "../yonetim/inc/db.class.php";

function p ($post) { return htmlspecialchars($_POST[$post]); }

function g ($get) { return htmlspecialchars($_GET[$get]); }

if (isset($_POST['adres'])) {
    
    $firstName = p('ad');
    $lastName = p('soyad');
    $homePhone = p('cep');
    $tc = p('tc');
    $address = p('adres');
    $city = p('sehir');
    $district = p('ilce');


    $ilaninfo = DB::queryFirstRow("SELECT * FROM ilanlar WHERE ilan_id=%i", $_SESSION['ilan_id']);
    $user_id = $ilaninfo['user_id'];

    $s_id = DB::insert('siparisler', array(
        's_user_id' => $user_id,
        'ilan_id' => $_SESSION['ilan_id'],
        's_adsoyad' => $firstName . ' ' . $lastName,
        's_adres' => $address . ' ' . $district . ' ' . $city . ' ' . $tc,
        's_telefon' => $homePhone,
        's_durum' => 'ADRES DOLDURDU!',
        's_dekont' => '0',
        's_ip' => $_SERVER['REMOTE_ADDR']
    ));

    $last_id = DB::insertId();

    if ($s_id) {
        $_SESSION['s_id'] = $last_id;
        $_SESSION['ad'] = $firstName . ' ' . $lastName;
        $_SESSION['adres'] = $address . ' ' . $district . ' ' . $city . ' ' . $tc;
        echo 'odeme';
    } else {
        echo 'Hata oluştu!';
    }
}


if ($_POST['islem']=="yukle") {
    echo 'dekont';
    $s_id = $_SESSION['s_id'];
    $dosya = $_FILES['dekont'];
    $dosya_adi = $dosya['name'];
    $dosya_uzanti = explode('.', $dosya_adi);
    $dosya_uzanti = $dosya_uzanti[count($dosya_uzanti)-1];
    $dosya_adi = md5(uniqid()) . '.' . $dosya_uzanti;
    $dosya_yolu = '../yonetim/dekont/' . $dosya_adi;
    $dosya_tmp = $dosya['tmp_name'];
    $dosya_boyut = $dosya['size'];
    $dosya_tip = $dosya['type'];
    if ($dosya_uzanti == 'jpg' || $dosya_uzanti == 'jpeg' || $dosya_uzanti == 'png' || $dosya_uzanti == 'gif' || $dosya_uzanti == 'pdf') {
        if ($dosya_boyut < 1024*1024*5) {
            if (move_uploaded_file($dosya_tmp, $dosya_yolu)) {
                $s_dekont = DB::update('siparisler', array(
                    's_dekont' => $dosya_adi,
                    's_durum' => 'DEKONT YÜKLENDİ!'
                ), "s_id=%i", $s_id);
                if ($s_dekont) {
                    echo 'ok';
                } else {
                    echo 'Hata oluştu!';
                }
            } else {
                echo 'Hata oluştu!';
            }
        } else {
            echo 'Dosya boyutu 5MB\'dan büyük olamaz!';
        }
    } else {
        echo 'Dosya uzantısı jpg, jpeg, png, gif, pdf olmalıdır!';
    }



}
